Jangan lupa update versi PHP

Jangan lupa update versi PHP

Per tanggal artikel ini ditayangkan, maka secara otomatis versi PHP paling akhir yang pernah ada bakal harus di patch dan di update ke versi stable. Ketika kalian tahu versi php mana saja yang terancam vulnerability. Berikut daftarnya.

Selalu Update

Salah satu faktor penting dalam menjalankan suatu aplikasi di web adalah menggunakan versi PHP yang aman agar mendukung aplikasi web yang saat ini kita jalankan. Karena tidak bisa dipungkiri bahwa keamanan suatu website di internet adalah sesuatu yang kritikal.

EOL

EOL adalah kepanjangan dari End of Life, dalam bahasa indonesia artinya akhir dari hidup. Maksudnya adalah versi yang tidak didukung lagi karena tidak akan dilakukan patch security atau patch tambahan lain.

Berikut list dari versi PHP yang sudah EOL per 30 Maret 2024 :

  • PHP73
  • PHP74
  • PHP80

Versi Didukung

Kemudian untuk versi yang saat ini bisa digunakan :

  • PHP81 (dukungan security hingga 25 Nov 2024)
  • PHP82 (dukungan security hingga 8 Dec 2024)
  • PHP83 (dukungan security hingga 26 Nov 2026)

Pastikan aplikasi web kalian selalu di update dengan versi PHP yang masih didukung patch securitya ya. Hal ini agar meminimalisir adanya bugs atau vulnerability pada aplikasi web.

Comments

No comments yet. Why don’t you start the discussion?

Leave a Reply

Your email address will not be published. Required fields are marked *